7 Replies Latest reply: Aug 19, 2012 9:29 PM by BDAqua
JaninaBinek Level 1 Level 1 (0 points)

I have just purchased an old macbook with an OS of 10.5. Im trying to download lightroom 4 but won't let me because of the OS (needs 10.7), when I tried to purchase the updated OS, it said I need 10.6 to do so!! I just want to download lightroom (3 or 4 preferabley).  How do I go about doing so?

 

Thank you kindly in advanced...

New MAC owner